# Makefile.in generated by automake 1.9.5 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 406248 $ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


#>- SOURCES = $(kate_la_SOURCES) $(kwrite_la_SOURCES) $(libkateinterfaces_la_SOURCES)
#>+ 1
SOURCES = $(kate_la_SOURCES) $(kwrite_la_SOURCES) $(libkateinterfaces_la_SOURCES) $(kate_SOURCES) $(kwrite_SOURCES) 

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
bin_PROGRAMS =
subdir = kate/app
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(kdeinitdir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(bindir)"
kdeinitLTLIBRARIES_INSTALL = $(INSTALL)
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(kdeinit_LTLIBRARIES) $(lib_LTLIBRARIES)
#>- kate_la_DEPENDENCIES = libkateinterfaces.la
#>+ 1
kate_la_DEPENDENCIES = libkdeinit_kate.la
#>- am_kate_la_OBJECTS = katemain.lo
#>+ 1
am_kate_la_OBJECTS = kate_dummy.lo
#>- kate_la_OBJECTS = $(am_kate_la_OBJECTS)
#>+ 1
kate_la_OBJECTS = kate_dummy.lo
#>- kwrite_la_DEPENDENCIES = ../utils/libkateutils.la
#>+ 1
kwrite_la_DEPENDENCIES = libkdeinit_kwrite.la
#>- am_kwrite_la_OBJECTS = kwritemain.lo
#>+ 1
am_kwrite_la_OBJECTS = kwrite_dummy.lo
#>- kwrite_la_OBJECTS = $(am_kwrite_la_OBJECTS)
#>+ 1
kwrite_la_OBJECTS = kwrite_dummy.lo
am__DEPENDENCIES_1 =
libkateinterfaces_la_DEPENDENCIES =  \
	../interfaces/libkateinterfacesprivate.la \
	$(am__DEPENDENCIES_1) ../utils/libkateutils.la
am_libkateinterfaces_la_OBJECTS = kateapp.lo kateconfigdialog.lo \
	kateconfigplugindialogpage.lo kateconsole.lo katedocmanager.lo \
	katefilelist.lo katefileselector.lo katemainwindow.lo \
	katepluginmanager.lo katesplitter.lo kateviewmanager.lo \
	kateviewspace.lo kateprojectmanager.lo katemainwindowiface.lo \
	kategrepdialog.lo katemailfilesdialog.lo kbookmarkhandler.lo \
	kateprojectlist.lo kateprojecttreeview.lo kateprojectviews.lo \
	kateprojectdirview.lo kateappIface.lo katedocmanageriface.lo \
	kateexternaltools.lo katesavemodifieddialog.lo \
	kateviewspacecontainer.lo katemwmodonhddialog.lo
#>- libkateinterfaces_la_OBJECTS = $(am_libkateinterfaces_la_OBJECTS)
#>+ 13
libkateinterfaces_la_final_OBJECTS = libkateinterfaces_la.all_cpp.lo 
libkateinterfaces_la_nofinal_OBJECTS = kateapp.lo kateconfigdialog.lo \
	kateconfigplugindialogpage.lo kateconsole.lo katedocmanager.lo \
	katefilelist.lo katefileselector.lo katemainwindow.lo \
	katepluginmanager.lo katesplitter.lo kateviewmanager.lo \
	kateviewspace.lo kateprojectmanager.lo katemainwindowiface.lo \
	kategrepdialog.lo katemailfilesdialog.lo kbookmarkhandler.lo \
	kateprojectlist.lo kateprojecttreeview.lo kateprojectviews.lo \
	kateprojectdirview.lo kateappIface.lo katedocmanageriface.lo \
	kateexternaltools.lo katesavemodifieddialog.lo \
	kateviewspacecontainer.lo katemwmodonhddialog.lo katemainwindowiface_skel.lo katedocmanageriface_skel.lo kateappIface_skel.lo
@KDE_USE_FINAL_FALSE@libkateinterfaces_la_OBJECTS = $(libkateinterfaces_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkateinterfaces_la_OBJECTS = $(libkateinterfaces_la_final_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
#>- PROGRAMS = $(bin_PROGRAMS)
#>+ 2
bin_PROGRAMS += kate$(EXEEXT) kwrite$(EXEEXT) 
PROGRAMS = $(bin_PROGRAMS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(kate_la_SOURCES) $(kwrite_la_SOURCES) \
	$(libkateinterfaces_la_SOURCES)
#>- DIST_SOURCES = $(kate_la_SOURCES) $(kwrite_la_SOURCES) \
#>- 	$(libkateinterfaces_la_SOURCES)
#>+ 2
DIST_SOURCES = $(kate_la_SOURCES) $(kwrite_la_SOURCES) \
	$(libkateinterfaces_la_SOURCES) $(kate_SOURCES) $(kwrite_SOURCES) 
ETAGS = etags
CTAGS = ctags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COMPILE_GL_INFO_FALSE = @COMPILE_GL_INFO_FALSE@
COMPILE_GL_INFO_TRUE = @COMPILE_GL_INFO_TRUE@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DBUSQT_INCS = @DBUSQT_INCS@
DBUSQT_LIBS = @DBUSQT_LIBS@
DBUS_INCS = @DBUS_INCS@
DBUS_LIBS = @DBUS_LIBS@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
EXEEXT = @EXEEXT@
EXR_FLAGS = @EXR_FLAGS@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
HALBACKEND = @HALBACKEND@
HAL_INCS = @HAL_INCS@
HAL_LIBS = @HAL_LIBS@
HAVE_GCC_VISIBILITY = @HAVE_GCC_VISIBILITY@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCHECKPASS_PAM_SERVICE = @KCHECKPASS_PAM_SERVICE@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_BINDIR = @KDE_BINDIR@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KDM_PAM_SERVICE = @KDM_PAM_SERVICE@
KRB4_INCS = @KRB4_INCS@
KRB4_LIBS = @KRB4_LIBS@
KRB4_RPATH = @KRB4_RPATH@
KRB5_INCS = @KRB5_INCS@
KRB5_LIBS = @KRB5_LIBS@
KRB5_RPATH = @KRB5_RPATH@
KSCREENSAVER_PAM_SERVICE = @KSCREENSAVER_PAM_SERVICE@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LDFLAGS_AS_NEEDED = @LDFLAGS_AS_NEEDED@
LDFLAGS_NEW_DTAGS = @LDFLAGS_NEW_DTAGS@
LIBALIB = @LIBALIB@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBBZ2 = @LIBBZ2@
LIBCFG = @LIBCFG@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBCURSES = @LIBCURSES@
LIBDEVINFO = @LIBDEVINFO@
LIBDL = @LIBDL@
LIBFONTCONFIG_CFLAGS = @LIBFONTCONFIG_CFLAGS@
LIBFONTCONFIG_LIBS = @LIBFONTCONFIG_LIBS@
LIBFONTCONFIG_RPATH = @LIBFONTCONFIG_RPATH@
LIBFREETYPE_CFLAGS = @LIBFREETYPE_CFLAGS@
LIBFREETYPE_LIBS = @LIBFREETYPE_LIBS@
LIBFREETYPE_RPATH = @LIBFREETYPE_RPATH@
LIBGEN = @LIBGEN@
LIBHOSTS = @LIBHOSTS@
LIBJPEG = @LIBJPEG@
LIBKSTAT = @LIBKSTAT@
LIBMALLOC = @LIBMALLOC@
LIBOBJS = @LIBOBJS@
LIBODM = @LIBODM@
LIBOSSAUDIO = @LIBOSSAUDIO@
LIBPNG = @LIBPNG@
LIBPOSIX4 = @LIBPOSIX4@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBRPC = @LIBRPC@
LIBS = @LIBS@
LIBSENSORS = @LIBSENSORS@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUSBCONFIG = @LIBUSBCONFIG@
LIBUTEMPTER = @LIBUTEMPTER@
LIBUTIL = @LIBUTIL@
LIBXDMCP = @LIBXDMCP@
LIBXFT_LIB = @LIBXFT_LIB@
LIBZ = @LIBZ@
LIB_EXR = @LIB_EXR@
LIB_FONT_ENC = @LIB_FONT_ENC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDNSSD = @LIB_KDNSSD@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMPROXY = @LIB_KIMPROXY@
LIB_KIO = @LIB_KIO@
LIB_KJS = @LIB_KJS@
LIB_KNEWSTUFF = @LIB_KNEWSTUFF@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUNITTEST = @LIB_KUNITTEST@
LIB_KUTILS = @LIB_KUTILS@
LIB_KVM = @LIB_KVM@
LIB_LIBS = @LIB_LIBS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_TRU64_MACH = @LIB_TRU64_MACH@
LIB_X11 = @LIB_X11@
LIB_XCURSOR = @LIB_XCURSOR@
LIB_XEXT = @LIB_XEXT@
LIB_XF86MISC = @LIB_XF86MISC@
LIB_XINERAMA = @LIB_XINERAMA@
LIB_XRANDR = @LIB_XRANDR@
LIB_XRENDER = @LIB_XRENDER@
LIB_XSS = @LIB_XSS@
LINUXCDPOLLING = @LINUXCDPOLLING@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAKEKDEWIDGETS = @MAKEKDEWIDGETS@
MCOPIDL = @MCOPIDL@
MD5SUM = @MD5SUM@
MD5SUM_CUT = @MD5SUM_CUT@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
RUN_KAPPFINDER = @RUN_KAPPFINDER@
SASL2_LIBS = @SASL2_LIBS@
SETUIDFLAGS = @SETUIDFLAGS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMBCLIENT_EXTRA_LIBS = @SMBCLIENT_EXTRA_LIBS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
UNAME = @UNAME@
USB_CFLAGS = @USB_CFLAGS@
USB_LIBS = @USB_LIBS@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XTESTLIB = @XTESTLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
applnk_SUBDIR_included_FALSE = @applnk_SUBDIR_included_FALSE@
applnk_SUBDIR_included_TRUE = @applnk_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
drkonqi_SUBDIR_included_FALSE = @drkonqi_SUBDIR_included_FALSE@
drkonqi_SUBDIR_included_TRUE = @drkonqi_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
have_xcursor_FALSE = @have_xcursor_FALSE@
have_xcursor_TRUE = @have_xcursor_TRUE@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_EXR_MODULES_FALSE = @include_EXR_MODULES_FALSE@
include_EXR_MODULES_TRUE = @include_EXR_MODULES_TRUE@
include_fontinst_tn_FALSE = @include_fontinst_tn_FALSE@
include_fontinst_tn_TRUE = @include_fontinst_tn_TRUE@
include_kcontrol_access_FALSE = @include_kcontrol_access_FALSE@
include_kcontrol_access_TRUE = @include_kcontrol_access_TRUE@
include_kcontrol_accessibility_FALSE = @include_kcontrol_accessibility_FALSE@
include_kcontrol_accessibility_TRUE = @include_kcontrol_accessibility_TRUE@
include_kcontrol_joystick_FALSE = @include_kcontrol_joystick_FALSE@
include_kcontrol_joystick_TRUE = @include_kcontrol_joystick_TRUE@
include_kcontrol_kfontinst_FALSE = @include_kcontrol_kfontinst_FALSE@
include_kcontrol_kfontinst_TRUE = @include_kcontrol_kfontinst_TRUE@
include_kcontrol_randr_FALSE = @include_kcontrol_randr_FALSE@
include_kcontrol_randr_TRUE = @include_kcontrol_randr_TRUE@
include_kcontrol_smartcard_FALSE = @include_kcontrol_smartcard_FALSE@
include_kcontrol_smartcard_TRUE = @include_kcontrol_smartcard_TRUE@
include_kcontrol_usbview_FALSE = @include_kcontrol_usbview_FALSE@
include_kcontrol_usbview_TRUE = @include_kcontrol_usbview_TRUE@
include_kcontrol_view1394_FALSE = @include_kcontrol_view1394_FALSE@
include_kcontrol_view1394_TRUE = @include_kcontrol_view1394_TRUE@
include_kioslave_ldap_FALSE = @include_kioslave_ldap_FALSE@
include_kioslave_ldap_TRUE = @include_kioslave_ldap_TRUE@
include_kioslave_smb_FALSE = @include_kioslave_smb_FALSE@
include_kioslave_smb_TRUE = @include_kioslave_smb_TRUE@
include_kompmgr_FALSE = @include_kompmgr_FALSE@
include_kompmgr_TRUE = @include_kompmgr_TRUE@
include_ksysguardd_FALSE = @include_ksysguardd_FALSE@
include_ksysguardd_TRUE = @include_ksysguardd_TRUE@
include_ksysguardd_freebsd_FALSE = @include_ksysguardd_freebsd_FALSE@
include_ksysguardd_freebsd_TRUE = @include_ksysguardd_freebsd_TRUE@
include_ksysguardd_irix_FALSE = @include_ksysguardd_irix_FALSE@
include_ksysguardd_irix_TRUE = @include_ksysguardd_irix_TRUE@
include_ksysguardd_linux_FALSE = @include_ksysguardd_linux_FALSE@
include_ksysguardd_linux_TRUE = @include_ksysguardd_linux_TRUE@
include_ksysguardd_netbsd_FALSE = @include_ksysguardd_netbsd_FALSE@
include_ksysguardd_netbsd_TRUE = @include_ksysguardd_netbsd_TRUE@
include_ksysguardd_openbsd_FALSE = @include_ksysguardd_openbsd_FALSE@
include_ksysguardd_openbsd_TRUE = @include_ksysguardd_openbsd_TRUE@
include_ksysguardd_solaris_FALSE = @include_ksysguardd_solaris_FALSE@
include_ksysguardd_solaris_TRUE = @include_ksysguardd_solaris_TRUE@
include_ksysguardd_tru64_FALSE = @include_ksysguardd_tru64_FALSE@
include_ksysguardd_tru64_TRUE = @include_ksysguardd_tru64_TRUE@
include_media_halbackend_FALSE = @include_media_halbackend_FALSE@
include_media_halbackend_TRUE = @include_media_halbackend_TRUE@
include_media_linuxcdpolling_FALSE = @include_media_linuxcdpolling_FALSE@
include_media_linuxcdpolling_TRUE = @include_media_linuxcdpolling_TRUE@
include_x11_FALSE = @include_x11_FALSE@
include_x11_TRUE = @include_x11_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kappfinder_SUBDIR_included_FALSE = @kappfinder_SUBDIR_included_FALSE@
kappfinder_SUBDIR_included_TRUE = @kappfinder_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcheckpass_SUBDIR_included_FALSE = @kcheckpass_SUBDIR_included_FALSE@
kcheckpass_SUBDIR_included_TRUE = @kcheckpass_SUBDIR_included_TRUE@
kcminit_SUBDIR_included_FALSE = @kcminit_SUBDIR_included_FALSE@
kcminit_SUBDIR_included_TRUE = @kcminit_SUBDIR_included_TRUE@
kcontrol_SUBDIR_included_FALSE = @kcontrol_SUBDIR_included_FALSE@
kcontrol_SUBDIR_included_TRUE = @kcontrol_SUBDIR_included_TRUE@
kdcop_SUBDIR_included_FALSE = @kdcop_SUBDIR_included_FALSE@
kdcop_SUBDIR_included_TRUE = @kdcop_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdebugdialog_SUBDIR_included_FALSE = @kdebugdialog_SUBDIR_included_FALSE@
kdebugdialog_SUBDIR_included_TRUE = @kdebugdialog_SUBDIR_included_TRUE@
kdeinitdir = @kdeinitdir@
kdepasswd_SUBDIR_included_FALSE = @kdepasswd_SUBDIR_included_FALSE@
kdepasswd_SUBDIR_included_TRUE = @kdepasswd_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesktop_SUBDIR_included_FALSE = @kdesktop_SUBDIR_included_FALSE@
kdesktop_SUBDIR_included_TRUE = @kdesktop_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdialog_SUBDIR_included_FALSE = @kdialog_SUBDIR_included_FALSE@
kdialog_SUBDIR_included_TRUE = @kdialog_SUBDIR_included_TRUE@
kdm_SUBDIR_included_FALSE = @kdm_SUBDIR_included_FALSE@
kdm_SUBDIR_included_TRUE = @kdm_SUBDIR_included_TRUE@
kdmlib_SUBDIR_included_FALSE = @kdmlib_SUBDIR_included_FALSE@
kdmlib_SUBDIR_included_TRUE = @kdmlib_SUBDIR_included_TRUE@
kfind_SUBDIR_included_FALSE = @kfind_SUBDIR_included_FALSE@
kfind_SUBDIR_included_TRUE = @kfind_SUBDIR_included_TRUE@
khelpcenter_SUBDIR_included_FALSE = @khelpcenter_SUBDIR_included_FALSE@
khelpcenter_SUBDIR_included_TRUE = @khelpcenter_SUBDIR_included_TRUE@
khotkeys_SUBDIR_included_FALSE = @khotkeys_SUBDIR_included_FALSE@
khotkeys_SUBDIR_included_TRUE = @khotkeys_SUBDIR_included_TRUE@
kicker_SUBDIR_included_FALSE = @kicker_SUBDIR_included_FALSE@
kicker_SUBDIR_included_TRUE = @kicker_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
klipper_SUBDIR_included_FALSE = @klipper_SUBDIR_included_FALSE@
klipper_SUBDIR_included_TRUE = @klipper_SUBDIR_included_TRUE@
kmenuedit_SUBDIR_included_FALSE = @kmenuedit_SUBDIR_included_FALSE@
kmenuedit_SUBDIR_included_TRUE = @kmenuedit_SUBDIR_included_TRUE@
knetattach_SUBDIR_included_FALSE = @knetattach_SUBDIR_included_FALSE@
knetattach_SUBDIR_included_TRUE = @knetattach_SUBDIR_included_TRUE@
konqueror_SUBDIR_included_FALSE = @konqueror_SUBDIR_included_FALSE@
konqueror_SUBDIR_included_TRUE = @konqueror_SUBDIR_included_TRUE@
konsole_SUBDIR_included_FALSE = @konsole_SUBDIR_included_FALSE@
konsole_SUBDIR_included_TRUE = @konsole_SUBDIR_included_TRUE@
kpager_SUBDIR_included_FALSE = @kpager_SUBDIR_included_FALSE@
kpager_SUBDIR_included_TRUE = @kpager_SUBDIR_included_TRUE@
kpersonalizer_SUBDIR_included_FALSE = @kpersonalizer_SUBDIR_included_FALSE@
kpersonalizer_SUBDIR_included_TRUE = @kpersonalizer_SUBDIR_included_TRUE@
kreadconfig_SUBDIR_included_FALSE = @kreadconfig_SUBDIR_included_FALSE@
kreadconfig_SUBDIR_included_TRUE = @kreadconfig_SUBDIR_included_TRUE@
kscreensaver_SUBDIR_included_FALSE = @kscreensaver_SUBDIR_included_FALSE@
kscreensaver_SUBDIR_included_TRUE = @kscreensaver_SUBDIR_included_TRUE@
ksmserver_SUBDIR_included_FALSE = @ksmserver_SUBDIR_included_FALSE@
ksmserver_SUBDIR_included_TRUE = @ksmserver_SUBDIR_included_TRUE@
ksplashml_SUBDIR_included_FALSE = @ksplashml_SUBDIR_included_FALSE@
ksplashml_SUBDIR_included_TRUE = @ksplashml_SUBDIR_included_TRUE@
kstart_SUBDIR_included_FALSE = @kstart_SUBDIR_included_FALSE@
kstart_SUBDIR_included_TRUE = @kstart_SUBDIR_included_TRUE@
ksysguard_SUBDIR_included_FALSE = @ksysguard_SUBDIR_included_FALSE@
ksysguard_SUBDIR_included_TRUE = @ksysguard_SUBDIR_included_TRUE@
ksystraycmd_SUBDIR_included_FALSE = @ksystraycmd_SUBDIR_included_FALSE@
ksystraycmd_SUBDIR_included_TRUE = @ksystraycmd_SUBDIR_included_TRUE@
ktip_SUBDIR_included_FALSE = @ktip_SUBDIR_included_FALSE@
ktip_SUBDIR_included_TRUE = @ktip_SUBDIR_included_TRUE@
kwin_SUBDIR_included_FALSE = @kwin_SUBDIR_included_FALSE@
kwin_SUBDIR_included_TRUE = @kwin_SUBDIR_included_TRUE@
kxkb_SUBDIR_included_FALSE = @kxkb_SUBDIR_included_FALSE@
kxkb_SUBDIR_included_TRUE = @kxkb_SUBDIR_included_TRUE@
l10n_SUBDIR_included_FALSE = @l10n_SUBDIR_included_FALSE@
l10n_SUBDIR_included_TRUE = @l10n_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkonq_SUBDIR_included_FALSE = @libkonq_SUBDIR_included_FALSE@
libkonq_SUBDIR_included_TRUE = @libkonq_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
nogroup = @nogroup@
nsplugins_SUBDIR_included_FALSE = @nsplugins_SUBDIR_included_FALSE@
nsplugins_SUBDIR_included_TRUE = @nsplugins_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
supports_i8k_FALSE = @supports_i8k_FALSE@
supports_i8k_TRUE = @supports_i8k_TRUE@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
unsermake_enable_pch_FALSE = @unsermake_enable_pch_FALSE@
unsermake_enable_pch_TRUE = @unsermake_enable_pch_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
#>- lib_LTLIBRARIES = libkateinterfaces.la
#>+ 1
lib_LTLIBRARIES = libkateinterfaces.la  libkdeinit_kate.la libkdeinit_kwrite.la
kdeinit_LTLIBRARIES = kate.la kwrite.la
#>- libkateinterfaces_la_SOURCES = kateapp.cpp kateconfigdialog.cpp kateconfigplugindialogpage.cpp \
#>-   kateconsole.cpp katedocmanager.cpp katefilelist.cpp katefileselector.cpp \
#>-   katemainwindow.cpp katepluginmanager.cpp katesplitter.cpp \
#>-   kateviewmanager.cpp kateviewspace.cpp kateprojectmanager.cpp \
#>-   katemainwindowiface.skel katemainwindowiface.cpp kategrepdialog.cpp \
#>-   katemailfilesdialog.cpp kbookmarkhandler.cpp kateprojectlist.cpp \
#>-   kateprojecttreeview.cpp kateprojectviews.cpp kateprojectdirview.cpp \
#>-   katedocmanageriface.skel kateappIface.cpp kateappIface.skel katedocmanageriface.cpp \
#>-   kateexternaltools.cpp katesavemodifieddialog.cpp kateviewspacecontainer.cpp \
#>-   katemwmodonhddialog.cpp
#>+ 10
libkateinterfaces_la_SOURCES=kateapp.cpp kateconfigdialog.cpp kateconfigplugindialogpage.cpp \
  kateconsole.cpp katedocmanager.cpp katefilelist.cpp katefileselector.cpp \
  katemainwindow.cpp katepluginmanager.cpp katesplitter.cpp \
  kateviewmanager.cpp kateviewspace.cpp kateprojectmanager.cpp \
   katemainwindowiface.cpp kategrepdialog.cpp \
  katemailfilesdialog.cpp kbookmarkhandler.cpp kateprojectlist.cpp \
  kateprojecttreeview.cpp kateprojectviews.cpp kateprojectdirview.cpp \
   kateappIface.cpp  katedocmanageriface.cpp \
  kateexternaltools.cpp katesavemodifieddialog.cpp kateviewspacecontainer.cpp \
  katemwmodonhddialog.cpp katemainwindowiface_skel.cpp katedocmanageriface_skel.cpp kateappIface_skel.cpp

libkateinterfaces_la_LIBADD = ../interfaces/libkateinterfacesprivate.la -lkscript $(LIB_KUTILS) ../utils/libkateutils.la -lkmdi2
#>- libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined
#>+ 1
libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined $(KDE_NO_UNDEFINED)
kate_la_SOURCES = katemain.cpp
#>- kate_la_LIBADD = libkateinterfaces.la
#>+ 1
kate_la_LIBADD = libkdeinit_kate.la
kate_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
kwrite_la_SOURCES = kwritemain.cpp
#>- kwrite_la_LIBADD = -lkatepartinterfaces  ../utils/libkateutils.la
#>+ 1
kwrite_la_LIBADD = libkdeinit_kwrite.la
kwrite_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
#>- METASOURCES = AUTO
INCLUDES = -I../interfaces -I$(srcdir)/../lib $(all_includes)
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kate/app/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kate/app/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kate/app/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kate/app/Makefile
	cd $(top_srcdir) && perl admin/am_edit kate/app/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-kdeinitLTLIBRARIES: $(kdeinit_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(kdeinitdir)" || $(mkdir_p) "$(DESTDIR)$(kdeinitdir)"
	@list='$(kdeinit_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(kdeinitLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(kdeinitdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(kdeinitLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(kdeinitdir)/$$f"; \
	  else :; fi; \
	done

uninstall-kdeinitLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(kdeinit_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(kdeinitdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(kdeinitdir)/$$p"; \
	done

clean-kdeinitLTLIBRARIES:
	-test -z "$(kdeinit_LTLIBRARIES)" || rm -f $(kdeinit_LTLIBRARIES)
	@list='$(kdeinit_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
kate.la: $(kate_la_OBJECTS) $(kate_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kdeinitdir) $(kate_la_LDFLAGS) $(kate_la_OBJECTS) $(kate_la_LIBADD) $(LIBS)
kwrite.la: $(kwrite_la_OBJECTS) $(kwrite_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kdeinitdir) $(kwrite_la_LDFLAGS) $(kwrite_la_OBJECTS) $(kwrite_la_LIBADD) $(LIBS)
#>- libkateinterfaces.la: $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkateinterfaces.la: libkateinterfaces.la.closure $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkateinterfaces.la: $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkateinterfaces_la_LDFLAGS) $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateapp.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateappIface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateconfigdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateconfigplugindialogpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateconsole.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katedocmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katedocmanageriface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateexternaltools.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katefilelist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katefileselector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kategrepdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katemailfilesdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katemain.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katemainwindow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katemainwindowiface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katemwmodonhddialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katepluginmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateprojectdirview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateprojectlist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateprojectmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateprojecttreeview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateprojectviews.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katesavemodifieddialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/katesplitter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateviewmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateviewspace.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kateviewspacecontainer.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kbookmarkhandler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kwritemain.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
install-binPROGRAMS: install-libLTLIBRARIES

installdirs:
	for dir in "$(DESTDIR)$(kdeinitdir)" "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-binPROGRAMS clean-generic clean-kdeinitLTLIBRARIES \
#>- 	clean-libLTLIBRARIES clean-libtool mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-closures clean-bcheck clean-final  clean-binPROGRAMS clean-generic clean-kdeinitLTLIBRARIES \
	clean-libLTLIBRARIES clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-kdeinitLTLIBRARIES

install-exec-am: install-binPROGRAMS install-libLTLIBRARIES

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-info-am \
	uninstall-kdeinitLTLIBRARIES uninstall-libLTLIBRARIES

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-kdeinitLTLIBRARIES clean-libLTLIBRARIES \
	clean-libtool ctags distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-binPROGRAMS install-data install-data-am install-exec \
	install-exec-am install-info install-info-am \
	install-kdeinitLTLIBRARIES install-libLTLIBRARIES install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags uninstall uninstall-am \
	uninstall-binPROGRAMS uninstall-info-am \
	uninstall-kdeinitLTLIBRARIES uninstall-libLTLIBRARIES

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 2
libkdeinit_kate_la_LIBADD = libkateinterfaces.la

#>+ 2
libkdeinit_kate_la_LDFLAGS = -no-undefined -avoid-version $(all_libraries)

#>+ 2
libkdeinit_kate_la_DEPENDENCIES = libkateinterfaces.la

#>+ 2
am_libkdeinit_kate_la_OBJECTS = katemain.lo

#>+ 2
libkdeinit_kwrite_la_LIBADD = -lkatepartinterfaces  ../utils/libkateutils.la

#>+ 2
libkdeinit_kwrite_la_LDFLAGS = -no-undefined -avoid-version $(all_libraries)

#>+ 2
libkdeinit_kwrite_la_DEPENDENCIES = ../utils/libkateutils.la

#>+ 2
am_libkdeinit_kwrite_la_OBJECTS = kwritemain.lo

#>+ 23

kate.la.cpp:
	echo 'extern "C" int kdemain(int argc, char* argv[]);' > kate.la.cpp; \
	echo 'int main(int argc, char* argv[]) { return kdemain(argc,argv); }' >> kate.la.cpp

kate_dummy.cpp:
	echo 'extern "C" int kdemain(int argc, char* argv[]);' > kate_dummy.cpp; \
	echo 'extern "C" int kdeinitmain(int argc, char* argv[]) { return kdemain(argc,argv); }' >> kate_dummy.cpp
kate_LDFLAGS = $(KDE_RPATH) -no-undefined $(all_libraries)
kate_LDADD = libkdeinit_kate.la
kate_DEPENDENCIES = libkdeinit_kate.la

kwrite.la.cpp:
	echo 'extern "C" int kdemain(int argc, char* argv[]);' > kwrite.la.cpp; \
	echo 'int main(int argc, char* argv[]) { return kdemain(argc,argv); }' >> kwrite.la.cpp

kwrite_dummy.cpp:
	echo 'extern "C" int kdemain(int argc, char* argv[]);' > kwrite_dummy.cpp; \
	echo 'extern "C" int kdeinitmain(int argc, char* argv[]) { return kdemain(argc,argv); }' >> kwrite_dummy.cpp
kwrite_LDFLAGS = $(KDE_RPATH) -no-undefined $(all_libraries)
kwrite_LDADD = libkdeinit_kwrite.la
kwrite_DEPENDENCIES = libkdeinit_kwrite.la

#>+ 3
katesavemodifieddialog.moc: $(srcdir)/katesavemodifieddialog.h
	$(MOC) $(srcdir)/katesavemodifieddialog.h -o katesavemodifieddialog.moc

#>+ 2
mocs: katesavemodifieddialog.moc

#>+ 3
kateconfigdialog.moc: $(srcdir)/kateconfigdialog.h
	$(MOC) $(srcdir)/kateconfigdialog.h -o kateconfigdialog.moc

#>+ 2
mocs: kateconfigdialog.moc

#>+ 3
kateconsole.moc: $(srcdir)/kateconsole.h
	$(MOC) $(srcdir)/kateconsole.h -o kateconsole.moc

#>+ 2
mocs: kateconsole.moc

#>+ 3
katemainwindow.moc: $(srcdir)/katemainwindow.h
	$(MOC) $(srcdir)/katemainwindow.h -o katemainwindow.moc

#>+ 2
mocs: katemainwindow.moc

#>+ 3
katedocmanager.moc: $(srcdir)/katedocmanager.h
	$(MOC) $(srcdir)/katedocmanager.h -o katedocmanager.moc

#>+ 2
mocs: katedocmanager.moc

#>+ 3
kateprojecttreeview.moc: $(srcdir)/kateprojecttreeview.h
	$(MOC) $(srcdir)/kateprojecttreeview.h -o kateprojecttreeview.moc

#>+ 2
mocs: kateprojecttreeview.moc

#>+ 3
kategrepdialog.moc: $(srcdir)/kategrepdialog.h
	$(MOC) $(srcdir)/kategrepdialog.h -o kategrepdialog.moc

#>+ 2
mocs: kategrepdialog.moc

#>+ 3
kateprojectlist.moc: $(srcdir)/kateprojectlist.h
	$(MOC) $(srcdir)/kateprojectlist.h -o kateprojectlist.moc

#>+ 2
mocs: kateprojectlist.moc

#>+ 3
kwritemain.moc: $(srcdir)/kwritemain.h
	$(MOC) $(srcdir)/kwritemain.h -o kwritemain.moc

#>+ 2
mocs: kwritemain.moc

#>+ 3
kateviewspace.moc: $(srcdir)/kateviewspace.h
	$(MOC) $(srcdir)/kateviewspace.h -o kateviewspace.moc

#>+ 2
mocs: kateviewspace.moc

#>+ 3
kbookmarkhandler.moc: $(srcdir)/kbookmarkhandler.h
	$(MOC) $(srcdir)/kbookmarkhandler.h -o kbookmarkhandler.moc

#>+ 2
mocs: kbookmarkhandler.moc

#>+ 3
katefileselector.moc: $(srcdir)/katefileselector.h
	$(MOC) $(srcdir)/katefileselector.h -o katefileselector.moc

#>+ 2
mocs: katefileselector.moc

#>+ 3
katemwmodonhddialog.moc: $(srcdir)/katemwmodonhddialog.h
	$(MOC) $(srcdir)/katemwmodonhddialog.h -o katemwmodonhddialog.moc

#>+ 2
mocs: katemwmodonhddialog.moc

#>+ 3
kateprojectviews.moc: $(srcdir)/kateprojectviews.h
	$(MOC) $(srcdir)/kateprojectviews.h -o kateprojectviews.moc

#>+ 2
mocs: kateprojectviews.moc

#>+ 3
katepluginmanager.moc: $(srcdir)/katepluginmanager.h
	$(MOC) $(srcdir)/katepluginmanager.h -o katepluginmanager.moc

#>+ 2
mocs: katepluginmanager.moc

#>+ 3
kateexternaltools.moc: $(srcdir)/kateexternaltools.h
	$(MOC) $(srcdir)/kateexternaltools.h -o kateexternaltools.moc

#>+ 2
mocs: kateexternaltools.moc

#>+ 3
katemailfilesdialog.moc: $(srcdir)/katemailfilesdialog.h
	$(MOC) $(srcdir)/katemailfilesdialog.h -o katemailfilesdialog.moc

#>+ 2
mocs: katemailfilesdialog.moc

#>+ 3
kateviewspacecontainer.moc: $(srcdir)/kateviewspacecontainer.h
	$(MOC) $(srcdir)/kateviewspacecontainer.h -o kateviewspacecontainer.moc

#>+ 2
mocs: kateviewspacecontainer.moc

#>+ 3
kateprojectmanager.moc: $(srcdir)/kateprojectmanager.h
	$(MOC) $(srcdir)/kateprojectmanager.h -o kateprojectmanager.moc

#>+ 2
mocs: kateprojectmanager.moc

#>+ 3
katefilelist.moc: $(srcdir)/katefilelist.h
	$(MOC) $(srcdir)/katefilelist.h -o katefilelist.moc

#>+ 2
mocs: katefilelist.moc

#>+ 3
kateapp.moc: $(srcdir)/kateapp.h
	$(MOC) $(srcdir)/kateapp.h -o kateapp.moc

#>+ 2
mocs: kateapp.moc

#>+ 3
kateviewmanager.moc: $(srcdir)/kateviewmanager.h
	$(MOC) $(srcdir)/kateviewmanager.h -o kateviewmanager.moc

#>+ 2
mocs: kateviewmanager.moc

#>+ 3
katesplitter.moc: $(srcdir)/katesplitter.h
	$(MOC) $(srcdir)/katesplitter.h -o katesplitter.moc

#>+ 2
mocs: katesplitter.moc

#>+ 3
kateconfigplugindialogpage.moc: $(srcdir)/kateconfigplugindialogpage.h
	$(MOC) $(srcdir)/kateconfigplugindialogpage.h -o kateconfigplugindialogpage.moc

#>+ 2
mocs: kateconfigplugindialogpage.moc

#>+ 3
kateprojectdirview.moc: $(srcdir)/kateprojectdirview.h
	$(MOC) $(srcdir)/kateprojectdirview.h -o kateprojectdirview.moc

#>+ 2
mocs: kateprojectdirview.moc

#>+ 13
katemainwindowiface.kidl: $(srcdir)/katemainwindowiface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/katemainwindowiface.h > katemainwindowiface.kidl || ( rm -f katemainwindowiface.kidl ; false )
katemainwindowiface_skel.cpp: katemainwindowiface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub katemainwindowiface.kidl
katedocmanageriface.kidl: $(srcdir)/katedocmanageriface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/katedocmanageriface.h > katedocmanageriface.kidl || ( rm -f katedocmanageriface.kidl ; false )
katedocmanageriface_skel.cpp: katedocmanageriface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub katedocmanageriface.kidl
kateappIface.kidl: $(srcdir)/kateappIface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/kateappIface.h > kateappIface.kidl || ( rm -f kateappIface.kidl ; false )
kateappIface_skel.cpp: kateappIface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub kateappIface.kidl

#>+ 8
libkateinterfaces.la.closure: $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkateinterfaces_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkateinterfaces_la_closure.cpp
	$(CXXLINK) libkateinterfaces_la_closure.lo $(libkateinterfaces_la_LDFLAGS) $(libkateinterfaces_la_OBJECTS) $(libkateinterfaces_la_LIBADD) $(LIBS)
	@rm -f libkateinterfaces_la_closure.* libkateinterfaces.la.closure
	@echo "timestamp" > libkateinterfaces.la.closure


#>+ 3
clean-metasources:
	-rm -f  katesavemodifieddialog.moc kateconfigdialog.moc kateconsole.moc katemainwindow.moc katedocmanager.moc kateprojecttreeview.moc kategrepdialog.moc kateprojectlist.moc kwritemain.moc kateviewspace.moc kbookmarkhandler.moc katefileselector.moc katemwmodonhddialog.moc kateprojectviews.moc katepluginmanager.moc kateexternaltools.moc katemailfilesdialog.moc kateviewspacecontainer.moc kateprojectmanager.moc katefilelist.moc kateapp.moc kateviewmanager.moc katesplitter.moc kateconfigplugindialogpage.moc kateprojectdirview.moc

#>+ 2
KDE_DIST=kateprojecttreeview.h katepluginmanager.h katefileselector.h kateviewspace.h katemainwindowiface.h kateexternaltools.h katedocmanageriface.h kateconfigdialog.h kateviewspacecontainer.h kwritemain.h kateprojectviews.h katefilelist.h kateconsole.h katemailfilesdialog.h kateapp.h kateprojectdirview.h katedocmanager.h katemain.h kateconfigplugindialogpage.h katesplitter.h kateappIface.h Makefile.in katemainwindow.h kbookmarkhandler.h kateviewmanager.h kateprojectmanager.h katemwmodonhddialog.h Makefile.am katesavemodifieddialog.h kateprojectlist.h kategrepdialog.h 

#>+ 6
clean-idl:
	-rm -f \
	katemainwindowiface_skel.cpp katemainwindowiface_skel.h katemainwindowiface.kidl \
	katedocmanageriface_skel.cpp katedocmanageriface_skel.h katedocmanageriface.kidl \
	kateappIface_skel.cpp kateappIface_skel.h kateappIface.kidl 

#>+ 3
clean-closures:
	-rm -f  libkateinterfaces.la.closure

#>+ 2
docs-am:

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kate/app/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kate/app/Makefile
	cd $(top_srcdir) && perl admin/am_edit kate/app/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-am

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
libkateinterfaces_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kateapp.cpp $(srcdir)/kateconfigdialog.cpp $(srcdir)/kateconfigplugindialogpage.cpp $(srcdir)/kateconsole.cpp $(srcdir)/katedocmanager.cpp $(srcdir)/katefilelist.cpp $(srcdir)/katefileselector.cpp $(srcdir)/katemainwindow.cpp $(srcdir)/katepluginmanager.cpp $(srcdir)/katesplitter.cpp $(srcdir)/kateviewmanager.cpp $(srcdir)/kateviewspace.cpp $(srcdir)/kateprojectmanager.cpp $(srcdir)/katemainwindowiface.cpp $(srcdir)/kategrepdialog.cpp $(srcdir)/katemailfilesdialog.cpp $(srcdir)/kbookmarkhandler.cpp $(srcdir)/kateprojectlist.cpp $(srcdir)/kateprojecttreeview.cpp $(srcdir)/kateprojectviews.cpp $(srcdir)/kateprojectdirview.cpp $(srcdir)/kateappIface.cpp $(srcdir)/katedocmanageriface.cpp $(srcdir)/kateexternaltools.cpp $(srcdir)/katesavemodifieddialog.cpp $(srcdir)/kateviewspacecontainer.cpp $(srcdir)/katemwmodonhddialog.cpp katemainwindowiface_skel.cpp katedocmanageriface_skel.cpp kateappIface_skel.cpp  katesavemodifieddialog.moc kateconfigdialog.moc katemainwindow.moc kateconsole.moc katedocmanager.moc kateprojectlist.moc kategrepdialog.moc kateprojecttreeview.moc kateviewspace.moc kbookmarkhandler.moc katefileselector.moc katemwmodonhddialog.moc kateprojectviews.moc kateexternaltools.moc katepluginmanager.moc katemailfilesdialog.moc kateviewspacecontainer.moc kateprojectmanager.moc katefilelist.moc kateapp.moc katesplitter.moc kateviewmanager.moc kateconfigplugindialogpage.moc kateprojectdirview.moc
	@echo 'creating libkateinterfaces_la.all_cpp.cpp ...'; \
	rm -f libkateinterfaces_la.all_cpp.files libkateinterfaces_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkateinterfaces_la.all_cpp.final; \
	for file in kateapp.cpp kateconfigdialog.cpp kateconfigplugindialogpage.cpp kateconsole.cpp katedocmanager.cpp katefilelist.cpp katefileselector.cpp katemainwindow.cpp katepluginmanager.cpp katesplitter.cpp kateviewmanager.cpp kateviewspace.cpp kateprojectmanager.cpp katemainwindowiface.cpp kategrepdialog.cpp katemailfilesdialog.cpp kbookmarkhandler.cpp kateprojectlist.cpp kateprojecttreeview.cpp kateprojectviews.cpp kateprojectdirview.cpp kateappIface.cpp katedocmanageriface.cpp kateexternaltools.cpp katesavemodifieddialog.cpp kateviewspacecontainer.cpp katemwmodonhddialog.cpp katemainwindowiface_skel.cpp katedocmanageriface_skel.cpp kateappIface_skel.cpp ; do \
	  echo "#include \"$$file\"" >> libkateinterfaces_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkateinterfaces_la.all_cpp.final; \
	done; \
	cat libkateinterfaces_la.all_cpp.final libkateinterfaces_la.all_cpp.files > libkateinterfaces_la.all_cpp.cpp; \
	rm -f libkateinterfaces_la.all_cpp.final libkateinterfaces_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkateinterfaces_la.all_cpp.cpp

#>+ 2
libkdeinit_kate_la_OBJECTS = katemain.lo

#>+ 2
kate_OBJECTS = kate.la.$(OBJEXT)

#>+ 2
libkdeinit_kwrite_la_OBJECTS = kwritemain.lo

#>+ 2
kwrite_OBJECTS = kwrite.la.$(OBJEXT)

#>+ 3
final:
	$(MAKE) libkateinterfaces_la_OBJECTS="$(libkateinterfaces_la_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) libkateinterfaces_la_OBJECTS="$(libkateinterfaces_la_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) libkateinterfaces_la_OBJECTS="$(libkateinterfaces_la_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) libkateinterfaces_la_OBJECTS="$(libkateinterfaces_la_nofinal_OBJECTS)" install-am

#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 67
kateprojectmanager.lo: kateprojectmanager.moc 
kategrepdialog.o: kategrepdialog.moc 
kateapp.o: kateapp.moc 
katesplitter.lo: katesplitter.moc 
kateconsole.lo: kateconsole.moc 
kbookmarkhandler.o: kbookmarkhandler.moc 
kategrepdialog.lo: kategrepdialog.moc 
katesplitter.o: katesplitter.moc 
katefileselector.lo: katefileselector.moc 
kwrite$(EXEEXT): $(kwrite_OBJECTS) $(kwrite_DEPENDENCIES)
	@rm -f kwrite$(EXEEXT)
	$(CXXLINK) $(kwrite_LDFLAGS) $(kwrite_OBJECTS) $(kwrite_LDADD) $(LIBS)

kwritemain.o: kwritemain.moc 
kateprojectlist.lo: kateprojectlist.moc 
kateconfigplugindialogpage.lo: kateconfigplugindialogpage.moc 
kateconfigplugindialogpage.o: kateconfigplugindialogpage.moc 
kateviewspacecontainer.lo: kateviewspacecontainer.moc 
kateprojectmanager.o: kateprojectmanager.moc 
kateexternaltools.o: kateexternaltools.moc 
kateviewspacecontainer.o: kateviewspacecontainer.moc 
nmcheck-am: nmcheck
katefileselector.o: katefileselector.moc 
katesavemodifieddialog.o: katesavemodifieddialog.moc 
kateconsole.o: kateconsole.moc 
kateprojectdirview.lo: kateprojectdirview.moc 
katesavemodifieddialog.lo: katesavemodifieddialog.moc 
kateprojectdirview.o: kateprojectdirview.moc 
kateviewmanager.o: kateviewmanager.moc 
libkdeinit_kate.la: $(libkdeinit_kate_la_OBJECTS) $(libkdeinit_kate_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libkdeinit_kate_la_LDFLAGS) $(libkdeinit_kate_la_OBJECTS) $(libkdeinit_kate_la_LIBADD) $(LIBS)

katemainwindow.lo: katemainwindow.moc 
kwritemain.lo: kwritemain.moc 
kateconfigdialog.o: kateconfigdialog.moc 
kateviewmanager.lo: kateviewmanager.moc 
kate$(EXEEXT): $(kate_OBJECTS) $(kate_DEPENDENCIES)
	@rm -f kate$(EXEEXT)
	$(CXXLINK) $(kate_LDFLAGS) $(kate_OBJECTS) $(kate_LDADD) $(LIBS)

kateprojectlist.o: kateprojectlist.moc 
katemwmodonhddialog.lo: katemwmodonhddialog.moc 
kbookmarkhandler.lo: kbookmarkhandler.moc 
katemainwindow.o: katemainwindow.moc 
libkdeinit_kwrite.la: $(libkdeinit_kwrite_la_OBJECTS) $(libkdeinit_kwrite_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libkdeinit_kwrite_la_LDFLAGS) $(libkdeinit_kwrite_la_OBJECTS) $(libkdeinit_kwrite_la_LIBADD) $(LIBS)

katedocmanager.lo: katedocmanager.moc 
kateconfigdialog.lo: kateconfigdialog.moc 
katedocmanager.o: katedocmanager.moc 
kateprojecttreeview.lo: kateprojecttreeview.moc 
nmcheck: 
katepluginmanager.lo: katepluginmanager.moc 
kateprojecttreeview.o: kateprojecttreeview.moc 
katemailfilesdialog.o: katemailfilesdialog.moc 
kateprojectviews.o: kateprojectviews.moc 
katemwmodonhddialog.o: katemwmodonhddialog.moc 
kateprojectviews.lo: kateprojectviews.moc 
katemailfilesdialog.lo: katemailfilesdialog.moc 
katefilelist.lo: katefilelist.moc 
kateexternaltools.lo: kateexternaltools.moc 
katepluginmanager.o: katepluginmanager.moc 
kateviewspace.o: kateviewspace.moc 
kateviewspace.lo: kateviewspace.moc 
kateapp.lo: kateapp.moc 
katefilelist.o: katefilelist.moc 
